--- a/scripts/timer.pl
+++ b/scripts/timer.pl
@@ -142,11 +142,12 @@
 command_bind 'timer list' => sub {
     print( CRAP "Active timers:" );
     foreach my $name ( keys %timers ) {
+        my $msg = "$name = $timers{$name}->{'command'} every $timers{$name}->{'interval'}s";
         if ( $timers{$name}->{repeat} == -1 ) {
-            print( CRAP "$name = $timers{$name}->{'command'} (until stopped)");
+            print( CRAP "$msg (until stopped)");
         }
         else {
-            print( CRAP "$name = $timers{$name}->{'command'} ($timers{$name}->{'repeat'} repeats left)" );
+            print( CRAP "$msg ($timers{$name}->{'repeat'} repeats left)" );
         }
     }
     print( CRAP "End of /timer list" );
